Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle TopLink API Reference 10g Release 3 (10.1.3) B13698-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.toplink.exceptions
Class IntegrityChecker

`java.lang.Object
oracle.toplink.exceptions.IntegrityChecker`

All Implemented Interfaces:
  java.io.Serializable

public class IntegrityChecker
extends java.lang.Object
implements java.io.Serializable

Purpose: IntegrityChecker is used for catching all the descriptor exceptions, and checking database tables. It gives the user options if he/she wants to catch descriptor exceptions, check database, and check InstantiationPolicy or not.

See Also:
  Serialized Form

Constructor Summary
`IntegrityChecker()` PUBLIC: IntegrityChecker is used for catching all the Descriptor Exceptions, and check database tables.

Method Summary
`void` | `catchExceptions()` PUBLIC: This method is used for catching all the Descriptor Exceptions
`void` | `checkDatabase()` PUBLIC: This method is used to check the database tables.
`void` | `checkInstantiationPolicy()` PUBLIC: This method is used to check the InstantiationPolicy.
`void` | `dontCatchExceptions()` PUBLIC: This method is used for don't catching all the Descriptor Exceptions
`void` | `dontCheckDatabase()` PUBLIC: This method is used for don't checking the database tables and fields.
`void` | `dontCheckInstantiationPolicy()` PUBLIC: This method is used for don't checking the InstantiationPolicy.
`java.util.Vector` | `getCaughtExceptions()` PUBLIC: This method returns the vecotr which adds all the Descriptors Exceptions.
`void` | `setShouldCatchExceptions(boolean answer)` PUBLIC: This method assigns the value to the variable (shouldCatchExceptions) that we should catch all Descriptor Exceptions or not.
`void` | `setShouldCheckDatabase(boolean answer)` PUBLIC: This method assigns the value to the variable (shouldCheckDatabase) that we should check database or not.
`void` | `setShouldCheckInstantiationPolicy(boolean answer)` PUBLIC: This method assigns the value to the variable (shouldCheckInstantiationPolicy) that we should check InstantiationPolicy or not.
`boolean` | `shouldCatchExceptions()` PUBLIC: This method is used to know that all the Descriptor Exceptions should be thrown or not.
`boolean` | `shouldCheckDatabase()` PUBLIC: This method is used to know that database tables and fields should be checked or not.
`boolean` | `shouldCheckInstantiationPolicy()` PUBLIC: This method tells us that we should check InstantiationPolicy or not.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### IntegrityChecker

    public IntegrityChecker()

  PUBLIC: IntegrityChecker is used for catching all the Descriptor Exceptions, and check database tables. IntegrityChecker gives the option to the user that does he wants to catch all the descriptor exceptions,check database, and check InstantiationPolicy or not.

Method Detail

### catchExceptions

    public void catchExceptions()

  PUBLIC: This method is used for catching all the Descriptor Exceptions

### checkDatabase

    public void checkDatabase()

  PUBLIC: This method is used to check the database tables.

### checkInstantiationPolicy

    public void checkInstantiationPolicy()

  PUBLIC: This method is used to check the InstantiationPolicy.

### dontCatchExceptions

    public void dontCatchExceptions()

  PUBLIC: This method is used for don't catching all the Descriptor Exceptions

### dontCheckDatabase

    public void dontCheckDatabase()

  PUBLIC: This method is used for don't checking the database tables and fields.

### dontCheckInstantiationPolicy

    public void dontCheckInstantiationPolicy()

  PUBLIC: This method is used for don't checking the InstantiationPolicy.

### getCaughtExceptions

    public java.util.Vector getCaughtExceptions()

  PUBLIC: This method returns the vecotr which adds all the Descriptors Exceptions.

### setShouldCatchExceptions

    public void setShouldCatchExceptions(boolean answer)

  PUBLIC: This method assigns the value to the variable (shouldCatchExceptions) that we should catch all Descriptor Exceptions or not.

### setShouldCheckDatabase

    public void setShouldCheckDatabase(boolean answer)

  PUBLIC: This method assigns the value to the variable (shouldCheckDatabase) that we should check database or not.

### setShouldCheckInstantiationPolicy

    public void setShouldCheckInstantiationPolicy(boolean answer)

  PUBLIC: This method assigns the value to the variable (shouldCheckInstantiationPolicy) that we should check InstantiationPolicy or not.

### shouldCatchExceptions

    public boolean shouldCatchExceptions()

  PUBLIC: This method is used to know that all the Descriptor Exceptions should be thrown or not.

### shouldCheckDatabase

    public boolean shouldCheckDatabase()

  PUBLIC: This method is used to know that database tables and fields should be checked or not.

### shouldCheckInstantiationPolicy

    public boolean shouldCheckInstantiationPolicy()

  PUBLIC: This method tells us that we should check InstantiationPolicy or not.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 1998, 2006, Oracle. All Rights Reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD